Page MenuHomeFreeBSD

databases/grass7: Fix build on aarch64
ClosedPublic

Authored by lbartoletti on Jun 17 2020, 8:03 PM.

Details

Summary

aarch64 (and riscv64) don't have the deprecated sbrk.

I reported the issue upstream and I hope have time to remove sbrk soon.
At the moment I prefer to add this workaround, instead of mark this port as BROKEN, so we can take advantage of grass7's other algorithms on aarch64.

If we must mark this port BROKEN, we will have to add a condition to exclude grass7 from graphics/qgis and graphics/qgis-ltr to allow them to be built on aarch64 (hopefully no other dependencies will be broken)

Reported by mikael. Thanks!

Test Plan

poudriere HEAD aarch64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lbartoletti created this revision.Jun 17 2020, 8:03 PM
lbartoletti requested review of this revision.Jun 17 2020, 8:03 PM
mikael accepted this revision.Jun 18 2020, 11:56 AM
This revision is now accepted and ready to land.Jun 18 2020, 11:56 AM
tcberner accepted this revision.Jun 27 2020, 4:14 AM
This revision was automatically updated to reflect the committed changes.